Package ru.bitel.bgbilling.kernel.event.events

# Class ContractStatusChangingCheck

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.event.events.ContractStatusChangingCheck

All Implemented Interfaces:
  `java.io.Serializable`, `ErrorReturnableEvent`

    public class ContractStatusChangingCheck
    extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

Синхронное событие - проверка возможности смены статуса догвора .
Событие вызывается при смене статуса договора из клиента и из ЛК.
Позволяет запретить изменение или запросить подтвержедение.
Вместо ContractStatus как в других соседних событиях тут по компонентам. Унаследован от `LocalEvent`

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `CANCEL` | Смена статуса запрещена
  `static int` | `CONFIRM` | Требуеться подтверждение
  `static int` | `OK` | Смена статусв разрешена

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractStatusChangingCheck​(int contractId, int userId, int status, java.util.Date dateFrom, java.util.Date dateTo, java.lang.String comment, boolean confirmChecked)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getComment()` |
  `java.util.Date` | `getDateFrom()` |
  `java.util.Date` | `getDateTo()` |
  `java.lang.String` | `getMessage()` |
  `int` | `getResult()` |
  `int` | `getStatus()` |
  `boolean` | `isConfirmChecked()` |
  `void` | `setMessage​(java.lang.String message)` |
  `void` | `setResult​(int result)` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### OK

    public static final int OK
    Смена статусв разрешена
    See Also:
      Constant Field Values

  - ### CANCEL

    public static final int CANCEL
    Смена статуса запрещена
    See Also:
      Constant Field Values

  - ### CONFIRM

    public static final int CONFIRM
    Требуеться подтверждение
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### ContractStatusChangingCheck

    public ContractStatusChangingCheck​(int contractId, int userId, int status, java.util.Date dateFrom, java.util.Date dateTo, java.lang.String comment, boolean confirmChecked)

- ## Method Details

  - ### getStatus

    public int getStatus()

  - ### getDateFrom

    public java.util.Date getDateFrom()

  - ### getDateTo

    public java.util.Date getDateTo()

  - ### getComment

    public java.lang.String getComment()

  - ### isConfirmChecked

    public boolean isConfirmChecked()

  - ### getMessage

    public java.lang.String getMessage()

  - ### setMessage

    public void setMessage​(java.lang.String message)

  - ### getResult

    public int getResult()

  - ### setResult

    public void setResult​(int result)